ant-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew (JIRA)" <j...@apache.org>
Subject [jira] Created: (IVY-1187) Support Maven Relocations or ability to override dependencies when using install task
Date Wed, 21 Apr 2010 02:07:49 GMT
Support Maven Relocations or ability to override dependencies when using install task
-------------------------------------------------------------------------------------

                 Key: IVY-1187
                 URL: https://issues.apache.org/jira/browse/IVY-1187
             Project: Ivy
          Issue Type: Improvement
          Components: Ant, Core
    Affects Versions: 2.1.0
            Reporter: Andrew


Support relocations or the ability to override versions. e.g. xml-apis#xml-apis;2.0.2 has
been relocated to xml-apis#xml-apis;1.0.b2, but Ivy fails, telling me to depend directly on
the new version. Well, if I could, that would be awesome, but I can't because I have no choice
about what revision a transitive dependency uses. So, I have to use the following rule instead:

{noformat}
<rule>
	<fromsystem>
		<src org="org.apache.xml" module="xml-apis"/>
		<dest org="$m0" />
	</fromsystem>
	<tosystem>
		<src org="xml-apis" module="xml-apis" rev="2.0.2" />
		<dest org="org.apache.xml" module="$m0" rev="1.0.b2" />
	</tosystem>
</rule>
{noformat}

Which works, despite issue #1185 not working.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message